#include "owlexampl.h"

char	szAppName[] = 	"Image Application Using TKofax";

void 	TImageApp::InitMainWindow()
{
	MainWindow = new TImageFrame(szAppName, "MainMenu");
}

TImageFrame::TImageFrame(LPSTR ATitle, LPSTR MenuName)
	     : TMDIFrame(ATitle, MenuName)
{
	ChildMenuPos = 2;
}

void	TImageFrame::CMOpenImageDialog(RTMessage)
{
		GetApplication()->ExecDialog(new TImageDialog(this, "ImageDialog"));
}

void	TImageFrame::CMOpenImageWindow(RTMessage)
{
	char	TempName[MAXPATH];

	lstrcpy(TempName, "*.TIF");
	if(GetApplication()->ExecDialog(new TFileDialog(this, SD_FILEOPEN,
			TempName)) == IDOK) {
		GetApplication()->MakeWindow(new TImageWindow(this, TempName));
	}
}

void	TImageWindow::CMDisplayOptions(RTMessage)
{
	pKofaxDisplay->PromptDisplayOptions();
}

void	TImageWindow::CMScaling(RTMessage)
{
	pKofaxDisplay->PromptXYScale();
}

void	TImageWindow::SetupWindow()
{
	RECT		rect;

	TWindow::SetupWindow();

	GetClientRect(HWindow, &rect);
	pKofaxDisplay = new TKofaxDisplay(this, 100, "Image Display", 0, 0, rect.right, rect.bottom);
	GetApplication()->MakeWindow(pKofaxDisplay);
	pKofaxDisplay->SetImageFile(Title);
}

void	TImageWindow::WMSize(RTMessage Msg)
{
	RECT		rect;

	GetClientRect(HWindow, &rect);
        if ( pKofaxDisplay )
		MoveWindow(pKofaxDisplay->HWindow, 0, 0, rect.right, rect.bottom, TRUE);

	TWindow::WMSize(Msg);
}

TImageDialog::TImageDialog(PTWindowsObject AParent, LPSTR ATitle)
	: TDialog(AParent, ATitle)
{
	pKofaxDisplay = new TKofaxDisplay(this, IDC_KOFAXDISPLAY); 
}

void	TImageDialog::ButtonDisplayOptions(RTMessage)
{
	pKofaxDisplay->PromptDisplayOptions();
}

void	TImageDialog::ButtonScaling(RTMessage)
{
	pKofaxDisplay->PromptXYScale();
}

void	TImageDialog::ButtonSelectImage(RTMessage)
{
	char	TempName[MAXPATH];

	lstrcpy(TempName, "*.TIF");
	if(GetApplication()->ExecDialog(new TFileDialog(this, SD_FILEOPEN,
			TempName)) == IDOK) {
		pKofaxDisplay->SetImageFile(TempName);
		InvalidateRect(pKofaxDisplay->HWindow, NULL, TRUE);
	}
}

int PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmd, int nCmdShow)
{
	TImageApp ImageApp (szAppName, hInstance, hPrevInstance, lpCmd, nCmdShow);
	ImageApp.Run();
	return (ImageApp.Status);
}


